Compare commits

...

36 Commits

Author SHA1 Message Date
Simon L
3eb2b164e1 Merge pull request #1579 from nextcloud/revert-1572-enh/noid/add-files_lock-app
Revert "the files_lock app should get installed by default as well"
2022-12-22 18:47:12 +01:00
Simon L
ed62ff1ff5 Revert "the files_lock app should get installed by default as well"
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 18:45:44 +01:00
Simon L
d6208a0b18 fix the comment
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 10:16:47 +01:00
Simon L
e8e01f8687 increase to 4.0.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 09:44:23 +01:00
Simon L
f2cd2b9fbd Merge pull request #1572 from nextcloud/enh/noid/add-files_lock-app
the files_lock app should get installed by default as well
2022-12-22 09:43:43 +01:00
Simon L
2ddd9406aa the files_lock app should get installed by default as well
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 01:02:08 +01:00
Simon L
35b87eee9b typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 00:14:19 +01:00
Simon L
1a7dbb4dab fix small detail
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 00:12:50 +01:00
Simon L
73e029ec23 improve the reverse proxy documentation further
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-22 00:08:53 +01:00
Simon L
d8f78e186c Merge pull request #1499 from nextcloud/enh/noid/fix-collabora
make collabora more safe
2022-12-21 23:31:34 +01:00
Simon L
be6bcfe997 Merge pull request #1557 from nextcloud/enh/1553/improve-import
improve database import
2022-12-21 23:29:16 +01:00
Simon L
502b39a354 Merge pull request #1566 from nextcloud/enh/noid/turn-server
make the turnserver more reliable
2022-12-21 23:29:00 +01:00
Simon L
ffd970352e Merge pull request #1558 from nextcloud/enh/1547/fix-turn-add-syntax
fix the turn:add syntax
2022-12-21 23:28:49 +01:00
Simon L
ce54d6d70d Merge pull request #1569 from nextcloud/enh/noid/add-gcompat
add gcompat for the recognize app
2022-12-21 23:21:36 +01:00
Simon L
5f68d55672 update OO
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-21 23:19:19 +01:00
Simon L
afb3734000 Merge pull request #1559 from nextcloud/dependabot/docker/Containers/collabora/collabora/code-22.05.9.2.1
Bump collabora/code from 22.05.8.4.1 to 22.05.9.2.1 in /Containers/collabora
2022-12-21 23:18:24 +01:00
Simon L
48795c3911 Merge pull request #1568 from nextcloud/dependabot/docker/Containers/apache/debian-bullseye-20221219-slim
Bump debian from bullseye-20221205-slim to bullseye-20221219-slim in /Containers/apache
2022-12-21 23:16:59 +01:00
Simon L
c0bf69f5dd Merge pull request #1567 from nextcloud/dependabot/docker/Containers/borgbackup/debian-bullseye-20221219-slim
Bump debian from bullseye-20221205-slim to bullseye-20221219-slim in /Containers/borgbackup
2022-12-21 23:16:33 +01:00
Simon L
9184aab3ec add gcompat for the recognize app
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-21 16:10:15 +01:00
dependabot[bot]
f4f717c929 Bump debian in /Containers/apache
Bumps debian from bullseye-20221205-slim to bullseye-20221219-slim.

---
updated-dependencies:
- dependency-name: debian
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2022-12-21 12:10:40 +00:00
dependabot[bot]
a12b1c0e56 Bump debian in /Containers/borgbackup
Bumps debian from bullseye-20221205-slim to bullseye-20221219-slim.

---
updated-dependencies:
- dependency-name: debian
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2022-12-21 12:10:04 +00:00
Simon L
0239788c78 make the turnserver more reliable
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-21 11:36:32 +01:00
Simon L
70a03ba1ae add facerecognition notice to the readme
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-20 23:54:30 +01:00
Simon L
edb616b18c add logging to database import
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-20 17:07:43 +01:00
dependabot[bot]
730d4e1bee Bump collabora/code in /Containers/collabora
Bumps collabora/code from 22.05.8.4.1 to 22.05.9.2.1.

---
updated-dependencies:
- dependency-name: collabora/code
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2022-12-20 12:06:41 +00:00
Simon L
e70bc8c5f7 fix the turn:add syntax
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-20 11:16:50 +01:00
Simon L
e47b58312a improve database import
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-20 10:59:01 +01:00
Simon L
aea0cf7382 Merge pull request #1556 from nextcloud/automated/noid/psalm-baseline-update-1671510103
[Automated] Update psalm-baseline.xml
2022-12-20 09:51:15 +01:00
nextcloud-command
01ea8900cc Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2022-12-20 04:21:42 +00:00
Simon L
14c90cdd9e Merge pull request #1544 from thigg/patch-1
Added cifs/smb config help to readme
2022-12-19 14:20:03 +01:00
Simon L
f3bfc2beb7 a few improvements
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-19 14:18:03 +01:00
Simon L
c5749defc8 Merge pull request #1548 from nextcloud/automated/noid/psalm-baseline-update-1671423723
[Automated] Update psalm-baseline.xml
2022-12-19 10:59:27 +01:00
nextcloud-command
42c7e86ee9 Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2022-12-19 04:22:03 +00:00
thigg
6a509513a3 Added cifs/smb config help to readme
Signed-off-by: thigg <thigg@users.noreply.github.com>
2022-12-18 18:17:43 +01:00
Simon L
65b6d7e6b1 make more clear which FS is recommended for docker
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-18 15:02:26 +01:00
Simon L
52b8bf0696 make collabora more safe
Signed-off-by: Simon L <szaimen@e.mail.de>
2022-12-13 14:52:01 +01:00
13 changed files with 109 additions and 24 deletions

View File

@@ -1,7 +1,7 @@
# Caddy is a requirement
FROM caddy:2.6.2-alpine as caddy
FROM debian:bullseye-20221205-slim
FROM debian:bullseye-20221219-slim
RUN mkdir -p /mnt/data; \
chown www-data:www-data /mnt/data;

View File

@@ -1,4 +1,4 @@
FROM debian:bullseye-20221205-slim
FROM debian:bullseye-20221219-slim
RUN set -ex; \
\

View File

@@ -1,5 +1,5 @@
# From a file located probably somewhere here: https://github.com/CollaboraOnline/online/tree/master/docker
FROM collabora/code:22.05.8.4.1
FROM collabora/code:22.05.9.2.1
USER root

View File

@@ -199,6 +199,7 @@ RUN set -ex; \
sudo \
grep \
coreutils \
gcompat \
; \
rm -rf /var/lib/apt/lists/*

View File

@@ -415,6 +415,44 @@ if [ "$COLLABORA_ENABLED" = 'yes' ]; then
php /var/www/html/occ config:app:set richdocuments wopi_url --value="https://$NC_DOMAIN/"
# Fix https://github.com/nextcloud/all-in-one/issues/188:
php /var/www/html/occ config:system:set allow_local_remote_servers --type=bool --value=true
# Make collabora more save
COLLABORA_IPv4_ADDRESS="$(echo "<?php echo gethostbyname('$NC_DOMAIN');" | php | head -1)"
COLLABORA_IPv6_Address="<?php \$record = dns_get_record('$NC_DOMAIN', DNS_AAAA);"
# shellcheck disable=SC2016
COLLABORA_IPv6_Address+='if (!empty($record)) {echo $record[0]["ipv6"];}'
COLLABORA_IPv6_Address="$(echo "$COLLABORA_IPv6_Address" | php | head -1)"
COLLABORA_ALLOW_LIST="$(php /var/www/html/occ config:app:get richdocuments wopi_allowlist)"
if [ -n "$COLLABORA_IPv4_ADDRESS" ]; then
if ! echo "$COLLABORA_ALLOW_LIST" | grep -q "$COLLABORA_IPv4_ADDRESS"; then
if [ -z "$COLLABORA_ALLOW_LIST" ]; then
COLLABORA_ALLOW_LIST="$COLLABORA_IPv4_ADDRESS"
else
COLLABORA_ALLOW_LIST+=",$COLLABORA_IPv4_ADDRESS"
fi
fi
else
echo "Warning: No ipv4-address found for $NC_DOMAIN."
fi
if [ -n "$COLLABORA_IPv6_ADDRESS" ]; then
if ! echo "$COLLABORA_ALLOW_LIST" | grep -q "$COLLABORA_IPv6_ADDRESS"; then
if [ -z "$COLLABORA_ALLOW_LIST" ]; then
COLLABORA_ALLOW_LIST="$COLLABORA_IPv6_ADDRESS"
else
COLLABORA_ALLOW_LIST+=",$COLLABORA_IPv6_ADDRESS"
fi
fi
else
echo "No ipv6-address found for $NC_DOMAIN."
fi
if [ -n "$COLLABORA_ALLOW_LIST" ]; then
PRIVATE_IP_RANGES='127.0.0.1/8,192.168.0.0/16,172.16.0.0/12,10.0.0.0/8,fd00::/8,::1'
if ! echo "$COLLABORA_ALLOW_LIST" | grep -q "$PRIVATE_IP_RANGES"; then
COLLABORA_ALLOW_LIST+=",$PRIVATE_IP_RANGES"
fi
php /var/www/html/occ config:app:set richdocuments wopi_allowlist --value="$COLLABORA_ALLOW_LIST"
else
echo "Warning: wopi_allowlist is empty which should not be the case!"
fi
else
if [ -d "/var/www/html/custom_apps/richdocuments" ]; then
php /var/www/html/occ app:remove richdocuments
@@ -455,7 +493,7 @@ if [ "$TALK_ENABLED" = 'yes' ]; then
fi
# Based on https://github.com/nextcloud/spreed/issues/960#issuecomment-416993435
if [ -z "$(php /var/www/html/occ talk:turn:list --output="plain")" ]; then
php /var/www/html/occ talk:turn:add "$NC_DOMAIN:$TALK_PORT" "udp,tcp" --secret="$TURN_SECRET"
php /var/www/html/occ talk:turn:add turn "$NC_DOMAIN:$TALK_PORT" "udp,tcp" --secret="$TURN_SECRET"
fi
if php /var/www/html/occ talk:stun:list --output="plain" | grep -oP '[a-zA-Z.:0-9]+' | grep -q "^stun.nextcloud.com:443$"; then
php /var/www/html/occ talk:stun:add "$NC_DOMAIN:$TALK_PORT"

View File

@@ -1,4 +1,4 @@
# From https://github.com/ONLYOFFICE/Docker-DocumentServer/blob/master/Dockerfile
FROM onlyoffice/documentserver:7.2.1.34
FROM onlyoffice/documentserver:7.2.2.56
HEALTHCHECK CMD curl -skfI localhost || exit 1

View File

@@ -20,6 +20,13 @@ if ! [ -w "$DUMP_DIR" ]; then
exit 1
fi
# Don't start if import failed
if [ -f "$DUMP_DIR/import.failed" ]; then
echo "The database import failed. Please restore a backup and try again."
echo "For further clues on what went wrong, look at the logs above."
exit 1
fi
# Delete the datadir once (needed for setting the correct credentials on old instances once)
if ! [ -f "$DUMP_DIR/export.failed" ] && ! [ -f "$DUMP_DIR/initial-cleanup-done" ]; then
set -ex
@@ -45,9 +52,16 @@ if ( [ -f "$DATADIR/PG_VERSION" ] && [ "$PG_MAJOR" != "$(cat "$DATADIR/PG_VERSIO
exit 1
fi
# Write output to logfile.
exec > >(tee -i "$DUMP_DIR/database-import.log")
exec 2>&1
# Inform
echo "Restoring from database dump."
# Add import.failed file
touch "$DUMP_DIR/import.failed"
# Exit if any command fails
set -ex
@@ -76,7 +90,12 @@ if ( [ -f "$DATADIR/PG_VERSION" ] && [ "$PG_MAJOR" != "$(cat "$DATADIR/PG_VERSIO
# Get the Owner
DB_OWNER="$(grep "$GREP_STRING" "$DUMP_FILE" | grep -oP 'Owner:.*$' | sed 's|Owner:||;s| ||g')"
if [ "$DB_OWNER" != "oc_$POSTGRES_USER" ]; then
if [ "$DB_OWNER" = "$POSTGRES_USER" ]; then
DIFFERENT_DB_OWNER=1
psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
ALTER DATABASE "$POSTGRES_DB" OWNER TO "$POSTGRES_USER";
EOSQL
elif [ "$DB_OWNER" != "oc_$POSTGRES_USER" ]; then
DIFFERENT_DB_OWNER=1
psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
CREATE USER "$DB_OWNER" WITH PASSWORD '$POSTGRES_PASSWORD' CREATEDB;
@@ -104,6 +123,9 @@ EOSQL
# Don't exit if command fails anymore
set +ex
# Remove import failed file if everything went correctly
rm "$DUMP_DIR/import.failed"
fi
# Cover the last case

View File

@@ -53,11 +53,13 @@ RUN curl -sL -o "/usr/share/janus/lua/json.lua" "https://raw.githubusercontent.c
RUN mkdir -p /etc/nats; \
echo "listen: 127.0.0.1:4222" > /etc/nats/nats.conf; \
mkdir /var/lib/turn; \
chown talk:talk /etc; \
chown talk:talk -R /etc/nats; \
chown talk:talk -R /etc/janus; \
chown talk:talk -R /etc/signaling; \
chown talk:talk -R /usr
chown talk:talk -R /usr; \
chown talk:talk -R /var/lib/turn;
# Give root a random password
RUN echo "root:$(openssl rand -base64 12)" | chpasswd

View File

@@ -15,7 +15,7 @@ elif [ -z "$SIGNALING_SECRET" ]; then
exit 1
fi
# Turn
# Turn: https://github.com/coturn/coturn/blob/master/examples/etc/turnserver.conf
cat << TURN_CONF > "/etc/turnserver.conf"
listening-port=$TALK_PORT
fingerprint
@@ -29,6 +29,9 @@ stale-nonce
no-multicast-peers
simple-log
pidfile=/var/tmp/turnserver.pid
no-tls
no-dtls
userdb=/var/lib/turn/turndb
TURN_CONF
# Janus

View File

@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<files psalm-version="5.2.0@fb685a16df3050d4c18d8a4100fe83abe6458cba">
<files psalm-version="5.4.0@62db5d4f6a7ae0a20f7cc5a4952d730272fc0863">
<file src="public/index.php">
<MissingClosureParamType occurrences="10">
<code>$args</code>

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v4.0.0</h1>
<h1>Nextcloud AIO v4.0.1</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>

View File

@@ -431,7 +431,24 @@ You can configure the Nextcloud container to use a specific directory on your ho
-o type="none" ^
-o o="bind"
```
(The value `/host_mnt/c/your/data/path` in this example would be equivalent to `C:\your\data\path` on the Windows host. So you need to translate the path that you want to use into the correct format.) ⚠️️ **Attention**: Make sure that the path exists on the host before you create the volume! Otherwise everything will bug out!
(The value `/host_mnt/c/your/data/path` in this example would be equivalent to `C:\your\data\path` on the Windows host. So you need to translate the path that you want to use into the correct format.) ⚠️️ **Attention**: Make sure that the path exists on the host before you create the volume! Otherwise everything will bug out!
### Can I use a CIFS/SMB share as Nextcloud's datadir?
Sure. Add this to the `/etc/fstab` file: <br>
`<your-storage-host-and-subpath> <your-mount-dir> cifs rw,credentials=<your-credentials-file>,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
(Of course you need to modify `<your-storage-host-and-subpath>`, `<your-mount-dir>` and `<your-credentials-file>` for your specific case.)
One example could look like this:<br>
`//your-storage-host/subpath /mnt/storagebox cifs rw,credentials=/etc/storage-credentials,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
and add into `/etc/storage-credentials`:
```
username=<smb/cifs username>
password=<password>
```
(Of course you need to modify `<smb/cifs username>` and `<password>` for your specific case.)
Now you can use `/mnt/storagebox` as Nextcloud's datadir like described in the section above above this one.
### How to allow the Nextcloud container to access directories on the host?
By default, the Nextcloud container is confined and cannot access directories on the host OS. You might want to change this when you are planning to use local external storage in Nextcloud to store some files outside the data directory and can do so by adding the environmental variable `NEXTCLOUD_MOUNT` to the initial startup of the mastercontainer. Allowed values for that variable are strings that start with `/` and are not equal to `/`.
@@ -479,6 +496,9 @@ Some Nextcloud apps require additional php extensions that must be bundled withi
You can do so by adding `-e NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS="imagick extension1 extension2"` to the docker run command of the mastercontainer and customize the value to your fitting. It must be a string with small letters a-z, digits 0-9, spaces, dots and hyphens or '_'. You can find available extensions here: https://pecl.php.net/packages.php. By default added is `imagick`. If you want to keep that, you need to specify it as well.
### What about the pdlib PHP extension for the facerecognition app?
The [facerecognition app](https://apps.nextcloud.com/apps/facerecognition) requires the pdlib PHP extension to be installed. Unfortunately, it is not available on PECL nor via PHP core, so there is no way to add this into AIO currently. However you can vote up [this issue](https://github.com/goodspb/pdlib/issues/56) to bring it to PECL and there is the [recognize app](https://apps.nextcloud.com/apps/recognize) that also allows to do face-recognition.
### Huge docker logs
When your containers run for a few days without a restart, the container logs that you can view from the AIO interface can get really huge. You can limit the loge sizes by enabling logrotate for docker container logs. Feel free to enable this by following those instructions: https://sandro-keil.de/blog/logrotate-for-docker-container/
@@ -488,7 +508,7 @@ The files and folders that you add to Nextcloud are by default stored in the fol
After you are done modifying/adding/deleting files/folders, don't forget to apply the correct permissions by running: `sudo chown -R 33:0 /var/lib/docker/volumes/nextcloud_aio_nextcloud_data/_data/*` and `sudo chmod -R 750 /var/lib/docker/volumes/nextcloud_aio_nextcloud_data/_data/*` and rescan the files with `sudo docker exec --user www-data -it nextcloud-aio-nextcloud php occ files:scan --all`.
### How to store the files/installation on a separate drive?
You can move the whole docker library and all its files including all Nextcloud AIO files and folders to a separate drive by first mounting the drive in the host OS (NTFS is not supported) and then following this tutorial: https://www.guguweb.com/2019/02/07/how-to-move-docker-data-directory-to-another-location-on-ubuntu/<br>
You can move the whole docker library and all its files including all Nextcloud AIO files and folders to a separate drive by first mounting the drive in the host OS (NTFS is not supported and ext4 is recommended as FS) and then following this tutorial: https://www.guguweb.com/2019/02/07/how-to-move-docker-data-directory-to-another-location-on-ubuntu/<br>
(Of course docker needs to be installed first for this to work.)
### How to edit Nextclouds config.php file with a texteditor?

View File

@@ -1,15 +1,16 @@
# Reverse Proxy Documentation
**Please note:** Publishing the AIO interface with a valid certificate to the public internet is **not** the goal of this documentation! Instead, the main goal is to publish Nextcloud with a valid certificate to the public internet which is **not** running inside the mastercontainer but in a different container! If you need a valid certificate for the AIO interface, see [point 4](#4-optional-get-a-valid-certificate-for-the-aio-interface).
**Please note:** Publishing the AIO interface with a valid certificate to the public internet is **not** the goal of this documentation! Instead, the main goal is to publish Nextcloud with a valid certificate to the public internet which is **not** running inside the mastercontainer but in a different container! If you need a valid certificate for the AIO interface, see [point 5](#5-optional-get-a-valid-certificate-for-the-aio-interface).
In order to run Nextcloud behind a reverse proxy, you need to specify the port that the Apache container shall use, add a specific config to your reverse proxy and modify the startup command a bit. All examples below will use port `11000` as example Apache port which will be exposed on the host. Modify it to your needings.
**Attention** The process to run Nextcloud behind a reverse proxy consists of at least these 2 steps:
**Attention:** The process to run Nextcloud behind a reverse proxy consists of at least steps 1, 2 and 4:
1. **Configure the reverse proxy! See [point 1](#1-add-this-to-your-reverse-proxy-config)**
1. **Use the in this document provided startup command! See [point 2](#2-use-this-startup-command)**
1. If the reverse proxy is installed on the same host, you should limit the apache container to only listen on localhost. See [point 3](#3-if-the-reverse-proxy-is-installed-on-the-same-host-you-should-configure-the-apache-container-to-only-listen-on-localhost)
- Optional: get a valid certificate for the AIO interface! See [point 4](#4-optional-get-a-valid-certificate-for-the-aio-interface)
- How to debug things? See [point 5](#5-how-to-debug-things)
1. Optional: If the reverse proxy is installed on the same host, you should limit the apache container to only listen on localhost. See [point 3](#3-if-the-reverse-proxy-is-installed-on-the-same-host-you-should-configure-the-apache-container-to-only-listen-on-localhost)
1. **Open the AIO interface. See [point 4](#4-open-the-aio-interface)**
1. Optional: Get a valid certificate for the AIO interface! See [point 5](#5-optional-get-a-valid-certificate-for-the-aio-interface)
1. Optional: How to debug things? See [point 6](#6-how-to-debug-things)
## 1. Add this to your reverse proxy config
@@ -471,16 +472,14 @@ nextcloud/all-in-one:latest
Simply translate the docker run command into a docker-compose file. You can have a look at [this file](https://github.com/nextcloud/all-in-one/blob/main/docker-compose.yml) for some inspiration but you will need to modify it either way. You can find further examples here: https://github.com/nextcloud/all-in-one/discussions/588
---
### How to continue?
After using the above command, you should be able to access the AIO Interface via `https://ip.address.of.the.host:8080`. Enter your domain that you've entered in the reverse proxy config and you should be done. Please do not forget to open port `3478/TCP` and `3478/UDP` in your firewall/router for the Talk container!
## 3. If the reverse proxy is installed on the same host, you should configure the apache container to only listen on localhost.
Use this envorinmental variable during the initial startup of the mastercontainer to make the apache container only listen on localhost: `-e APACHE_IP_BINDING=127.0.0.1`. **Attention:** This is only recommended to be set if you use `localhost` in your reverse proxy config to connect to your AIO instance. If you use an ip-address, you can either simply skip this step or set it to `0.0.0.0` if you are unsure what the correct value is.
## 4. Optional: get a valid certificate for the AIO interface
## 4. Open the AIO interface.
After starting AIO, you should be able to access the AIO Interface via `https://ip.address.of.the.host:8080`. Enter your domain that you've entered in the reverse proxy config and you should be done. Please do not forget to open port `3478/TCP` and `3478/UDP` in your firewall/router for the Talk container!
## 5. Optional: get a valid certificate for the AIO interface
If you want to also access your AIO interface publicly with a valid certificate, you can add e.g. the following config to your Caddyfile:
@@ -498,7 +497,7 @@ Of course you need to modify `<your-nc-domain>` to the domain on which you want
Afterwards should the AIO interface be accessible via `https://ip.address.of.the.host:8443`. You can alternatively change the domain to a different subdomain by using `https://<your-alternative-domain>:443` instead of `https://<your-nc-domain>:8443` in the Caddyfile and use that to access the AIO interface.
## 5. How to debug things?
## 6. How to debug things?
If something does not work, follow the steps below:
1. Make sure to exactly follow the whole reverse proxy documentation step-for-step from top to bottom!
1. Make sure that the reverse proxy is running on the host OS or if running in a container, connected to the host network. If that is not possible, substitute `localhost` in the default configurations by the ip-address that you can easily get when running the following command on the host OS: `ip a | grep "scope global" | head -1 | awk '{print $2}' | sed 's|/.*||'` (The command only works on Linux)